Subject: Re: linux-next: manual merge of the tip tree

From: Will Deacon <[email-masked]>
Date: Fri, 25 Oct 2013 14:25:54 +0100

On Fri, Oct 25, 2013 at 02:03:42PM +0100, Thierry Reding wrote:
> Today's linux-next merge of the tip tree got conflicts in
> 
>         tools/perf/config/Makefile
>         tools/perf/config/feature-tests.mak
> 
> caused by commits 405ffbd (perf tools: Check libunwind for availability of
> dwarf parsing feature) and mostly 308e1e7 (tools/perf/build: Clean up the
> libunwind logic in config/Makefile) as well as various follow-up patches.
> 
> I fixed it up (see below). Please verify that the resolution looks good.
> Also note that this isn't really a trivial resolution of a conflict, but
> required modifying various other files. That causes rerere magic not to
> work and needs part of conflict to be resolved manually. Perhaps a good
> idea would be to rebase Jean's patch on top of the cleanups going on in
> the tip tree? Perhaps even carry the patch in the tip tree?

These came via my tree (arm perf) after discussion here:

  http://lists.infradead.org/pipermail/linux-arm-kernel/2013-October/203077.html

Now that they've been pulled by rmk, we can't back them out with ugly
reverts, so I'm not sure what we can do to resolve in the ARM tree; it looks
like the perf Makefile has changed significantly in -tip.

Will